
Pre-Development - Bug #19047

Feature # 19989 (Resolved): User Role assign enhancement

IAM > User Role 

01 December 2023 03:46 PM - Low Dylan

Status: Closed Start date: 01 December 2023

Priority: Normal Due date:  

Assignee: Zaid Haritsah % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

user role - 30% UI with integrated BE

What is the issue?

History

#1 - 01 December 2023 03:54 PM - chok yee fan

- File Screenshot 2023-12-01 at 3.53.37 PM.png added

- Assignee changed from chok yee fan to Low Dylan

ws error

http://localhost:3006/api/userRoleWs/dataEntryForm

request {}

#2 - 01 December 2023 03:56 PM - Low Dylan

- Status changed from New to Assigned

- Assignee changed from Low Dylan to Farid Nazmi

Please help to fix the WS.

#3 - 18 January 2024 11:53 AM - chok yee fan

- Assignee changed from Farid Nazmi to Amirul Umar Pandai

move the mutation to tabs

#4 - 22 January 2024 10:24 AM - Amirul Umar Pandai

- Assignee changed from Amirul Umar Pandai to Farid Nazmi

Done with FE changes; assigning back to BE for WS issue

Bug #19047: move User Role mutation to tab component

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/d7ab18bfb4c811b60695e8bafecb32ed96ece969

#5 - 01 March 2024 04:25 PM - Farid Nazmi
http://localhost:3006/api/userRoleWs/dataEntryForm
https://dev.silverlakemobility.com/redmine/issues/19047
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/d7ab18bfb4c811b60695e8bafecb32ed96ece969


- % Done changed from 0 to 100

The root cause for the issue already found in BE. there is no user profile data in the user profile table same as the current user login. Hence it will

return null pointer exception.

Solution :

Need to add both user info in the user profile , 'sysuser' and 'admin' / any user that already registered in keycloak.

similar to the redmine below :

https://dev.silverlakemobility.com/redmine/issues/19955

#6 - 05 March 2024 02:55 PM - Zaid Haritsah

- Status changed from Assigned to Resolved

#7 - 06 March 2024 03:05 PM - Farid Nazmi

- Assignee changed from Farid Nazmi to chok yee fan

#8 - 07 March 2024 09:10 AM - chok yee fan

- Assignee changed from chok yee fan to Zaid Haritsah

related to https://dev.silverlakemobility.com/redmine/issues/19989

#9 - 07 March 2024 09:10 AM - chok yee fan

- Status changed from Resolved to Assigned

#10 - 07 March 2024 03:11 PM - Zaid Haritsah

- Parent task set to #19989

#11 - 07 March 2024 03:11 PM - Zaid Haritsah

- Status changed from Assigned to Closed

Files

Screenshot 2023-12-01 at 3.53.37 PM.png 165 KB 01 December 2023 chok yee fan
